nova start failed to start VM after nova stop was issued

Bug #1844803 reported by Peng Peng on 2019-09-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
StarlingX
Medium
Bruce Jones

Bug Description

Brief Description
-----------------
Booting up a VM, then using "nova stop" to stop it. After VM is SHUTOFF status, using "nova start" to start the VM, but failed by action-rejected.

Severity
--------
Major

Steps to Reproduce
------------------
Booting up a VM
stop it
start it

TC-name: nova/test_nova_actions.py::test_nova_actions[ubuntu_14-shared-stop-start]

Expected Behavior
------------------
VM start successfully

Actual Behavior
----------------
VM start action rejected

Reproducibility
---------------
Seen once

System Configuration
--------------------
Multi-node system

Lab-name: IP_33-36

Branch/Pull Time/Commit
-----------------------
stx master as of 20190920T013000Z

Last Pass
---------
2019-08-22_00-10-00

Timestamp/Logs
--------------

[2019-09-20 10:18:02,007] 301 DEBUG MainThread ssh.send :: Send 'nova --os-username 'tenant1' --os-password 'Li69nux*' --os-project-name tenant1 --os-auth-url http://keystone.openstack.svc.cluster.local/v3 --os-user-domain-name Default --os-project-domain-name Default --os-endpoint-type internalURL --os-region-name RegionOne boot --key-name=keypair-tenant1 --poll --boot-volume=210b7e54-1495-483e-937c-1a677f7864e4 --flavor=f14deb46-6684-45dd-9ea2-7d1d0931de7a --nic net-id=15324c7b-3571-493a-94b1-468d06ce7de2 --nic net-id=90174478-aa91-4d5f-8657-cadc2546359c tenant1-nova_actions-12'

[2019-09-20 10:18:22,966] 301 DEBUG MainThread ssh.send :: Send 'openstack --os-username 'admin' --os-password 'Li69nux*' --os-project-name admin --os-auth-url http://keystone.openstack.svc.cluster.local/v3 --os-user-domain-name Default --os-project-domain-name Default --os-identity-api-version 3 --os-interface internal --os-region-name RegionOne server list --a'
[2019-09-20 10:18:25,272] 423 DEBUG MainThread ssh.expect :: Output:
+--------------------------------------+-------------------------+--------+------------------------------------------------------------+-------+--------+
| ID | Name | Status | Networks | Image | Flavor |
+--------------------------------------+-------------------------+--------+------------------------------------------------------------+-------+--------+
| c3e72b06-e788-4dc7-a461-37267909bc44 | tenant1-nova_actions-12 | ACTIVE | tenant1-mgmt-net=192.168.116.36; tenant1-net0=172.16.0.187 | | shared |
+--------------------------------------+-------------------------+--------+------------------------------------------------------------+-------+--------+

[2019-09-20 10:18:32,588] 301 DEBUG MainThread ssh.send :: Send 'nova --os-username 'admin' --os-password 'Li69nux*' --os-project-name admin --os-auth-url http://keystone.openstack.svc.cluster.local/v3 --os-user-domain-name Default --os-project-domain-name Default --os-endpoint-type internalURL --os-region-name RegionOne stop c3e72b06-e788-4dc7-a461-37267909bc44'
[2019-09-20 10:18:34,524] 423 DEBUG MainThread ssh.expect :: Output:
Request to stop server c3e72b06-e788-4dc7-a461-37267909bc44 has been accepted.

[2019-09-20 10:18:37,786] 301 DEBUG MainThread ssh.send :: Send 'openstack --os-username 'admin' --os-password 'Li69nux*' --os-project-name admin --os-auth-url http://keystone.openstack.svc.cluster.local/v3 --os-user-domain-name Default --os-project-domain-name Default --os-identity-api-version 3 --os-interface internal --os-region-name RegionOne server list --a'
[2019-09-20 10:18:39,852] 423 DEBUG MainThread ssh.expect :: Output:
+--------------------------------------+-------------------------+---------+------------------------------------------------------------+-------+--------+
| ID | Name | Status | Networks | Image | Flavor |
+--------------------------------------+-------------------------+---------+------------------------------------------------------------+-------+--------+
| c3e72b06-e788-4dc7-a461-37267909bc44 | tenant1-nova_actions-12 | SHUTOFF | tenant1-mgmt-net=192.168.116.36; tenant1-net0=172.16.0.187 | | shared |
+--------------------------------------+-------------------------+---------+------------------------------------------------------------+-------+--------+

[2019-09-20 10:18:39,957] 301 DEBUG MainThread ssh.send :: Send 'nova --os-username 'admin' --os-password 'Li69nux*' --os-project-name admin --os-auth-url http://keystone.openstack.svc.cluster.local/v3 --os-user-domain-name Default --os-project-domain-name Default --os-endpoint-type internalURL --os-region-name RegionOne start c3e72b06-e788-4dc7-a461-37267909bc44'
[2019-09-20 10:18:41,489] 423 DEBUG MainThread ssh.expect :: Output:
action-rejected (HTTP 409)
ERROR (CommandError): Unable to start the specified server(s).
controller-1:~$

Test Activity
-------------
Sanity

Peng Peng (ppeng) wrote :
summary: - VM start failed by unable to start the specified server
+ VM start failed by action-rejected

Assigning to the distro openstack PL to route to a developer for investigation

tags: added: stx.distro.openstack
summary: - VM start failed by action-rejected
+ nova start failed to start VM after nova stop was issued
Changed in starlingx:
assignee: nobody → Bruce Jones (brucej)
Ghada Khalil (gkhalil) wrote :

Marking as stx.3.0 for now until further investigation by the distro openstack team

Changed in starlingx:
importance: Undecided → Medium
status: New → Triaged
tags: added: stx.3.0
Yang Liu (yliu12) on 2019-10-02
tags: added: stx.retestneeded
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers